/*
    SpatialHelpCmd.h

    Will Eighteen, 2006: will@opaline.demon.co.uk
*/

#ifndef SPATIALHELPCMD_H
#define SPATIALHELPCMD_H

#include "NoUndoCmd.h"


class TextEdit;


class SpatialHelpCmd : public NoUndoCmd
{
	protected:
		virtual void doCommand();
		
	public:
		SpatialHelpCmd ( const char *, int active = TRUE );
		virtual ~SpatialHelpCmd();
		virtual const char *const className() { return ( "SpatialHelpCmd" ); }

	private:
		TextEdit *_edit;
		Boolean _editRealised;
		static void okCallback ( XtPointer, char * );
		static void cancelCallback ( XtPointer );
		void ok ( void * );
};

#endif
