/*
 BusyPixmapBar.h - provide a sequence of pixmaps 
 Will 18, 2000; will@opaline.demon.co.uk

 Adapted from 'BusyPixmap'
 Douglas A. Young, 'Object-oriented Programming with C++ and OSF/Motif'
 2nd ed., Prentice-Hall. 
*/

#include "PixmapCycler.h"


class BusyPixmap : public PixmapCycler
{
	public:
		BusyPixmap ( Widget );
		
	protected:
		GC _gc, _inverseGC;		// use to draw pixmaps
		Widget _w;				// widget whose colours are to be used
		void createPixmaps();	// override base class' pure virtual
		virtual Pixmap createBusyPixmap ( int, int );
};

/*
  Notes:
  
  This class implements the pure virtual createPixmaps() member function declared
  by PixmapCycler.
*/
