#include <stdio.h>
#include "FileAccess.h"

int argc;
char *argv;

int main( int argc, char *argv[] )
{
printf("arg %s\n", (char *) argv[1]);
	if ( argc == 1 )
	{
		printf ("usage: readtest <filename>\n");
		return 1;
	}

	FileAccess *in = new FileAccess ( (char *) argv[1], "r" );

	// check if the file access succeeds first
	if ( in->errNum() )
		printf("file access numeric error: %d\n", in->errNum());

	if ( strlen(in->error()) != 0 )
		printf("file access string error: %s\n", in->error());

	// now try to see if the file's useable
	in->readF();

	if (!in->errNum())
		printf("file operation numeric error %d\n", in->errNum());
	
	if ( strlen (in->error()) != 0 )
		printf ("file operation string error %s\n", in->error());
 
	delete in;
}

