/* FA_test.cc
   usage: FA_test inoutFileName outputFileName
*/

#include <stdio.h>
#include <string.h>
#include "/home/will/program/mixwave/lessTifApp/install/include/FileAccess.h"

int main( int argc, char *argv[] )
{
	if ( argc < 2 )
	{
	    printf("usage: FA_test inputFileName outputFileName\n");
	    return 1;
	}
	    
	char path[256];
	strcpy ( path, argv[1] );
	FileAccess *myFile = new FileAccess ( path, "r" );
	FileAccess *myOutFile = new FileAccess ( argv[2], "w" );
	char buf[myFile->fileSize()];
	
	if ( myFile->errNum() != 0 )
	{
		printf ( "%s: %s\n", path, myFile->error() );
		return 1;
	}

	while ( myFile->filePos() < myFile->fileSize() )
	{
		myFile->readF ( buf );
		myOutFile->writeF ( buf );
		printf("%s", buf);
	}
	
	printf("\nerror %d type %s\n", myFile->errNum(), myFile->error());

	delete myFile;

/*
	FileAccess *inFile = new FileAccess ( argv[1], "r" );
	FileAccess *outFile = new FileAccess ( argv[2], "w" );

	int bufSize = inFile->fileSize();
	int bytesRead;
	char buf[bufSize];

	inFile->numElements ( 1 );
	inFile->elementSize ( bufSize );
	outFile->numElements ( 1 );
	outFile->elementSize ( bufSize );
	
	while ( inFile->filePos() < inFile->fileSize() )	
	{
		bytesRead = inFile->readF ( &buf );

		if (  bytesRead < bufSize )
			outFile->elementSize ( bytesRead);
		
		outFile->writeF ( &buf );	// call the right 'write'!
	}

	// alternatively...

	char buf [ inFile->fileSize() ];
	inFile->readF ( &buf, inFile->fileSize(), 1 );
	outFile->writeF ( &buf, inFile->fileSize(), 1 );

	delete outFile;
	delete inFile;
*/
}
